aboutsummaryrefslogtreecommitdiff
path: root/network/mullvadvpn-app
diff options
context:
space:
mode:
authorJay Lanagan <j@lngn.net>2023-08-05 09:13:39 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-08-05 09:13:39 +0700
commita8f7a346837171a46e64a2b18ee219c0bcbcb734 (patch)
tree6f2361220c5a32305bc747fab321f39d3caf77c8 /network/mullvadvpn-app
parent39dff3e994f2ac5f90c2197ab1a4dee49aaf2e96 (diff)
network/mullvadvpn-app: Added (VPN Service desktop client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/mullvadvpn-app')
-rw-r--r--network/mullvadvpn-app/README4
-rw-r--r--network/mullvadvpn-app/doinst.sh9
-rw-r--r--network/mullvadvpn-app/mullvadvpn-app.SlackBuild113
-rw-r--r--network/mullvadvpn-app/mullvadvpn-app.info10
-rw-r--r--network/mullvadvpn-app/rc.mullvad34
-rw-r--r--network/mullvadvpn-app/slack-desc19
6 files changed, 189 insertions, 0 deletions
diff --git a/network/mullvadvpn-app/README b/network/mullvadvpn-app/README
new file mode 100644
index 000000000000..c6fbe496f03b
--- /dev/null
+++ b/network/mullvadvpn-app/README
@@ -0,0 +1,4 @@
+MullvadVPN-app Desktop Client
+
+This is a repackaged Debian binary package
+for MullvadVPN's Desktop Client.
diff --git a/network/mullvadvpn-app/doinst.sh b/network/mullvadvpn-app/doinst.sh
new file mode 100644
index 000000000000..65c7e2eeb9aa
--- /dev/null
+++ b/network/mullvadvpn-app/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/mullvadvpn-app/mullvadvpn-app.SlackBuild b/network/mullvadvpn-app/mullvadvpn-app.SlackBuild
new file mode 100644
index 000000000000..aa6965249897
--- /dev/null
+++ b/network/mullvadvpn-app/mullvadvpn-app.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Slackware build script for mullvadvpn-app
+#
+# Copyright 2023 Jay Lanagan (j@lngn.net), Detroit, MI, USA.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mullvadvpn-app
+SRCNAM=MullvadVPN
+VERSION=${VERSION:-2023.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ DEBARCH="i386"
+ LIBDIRSUFFIX=""
+ echo "This package is currently only available for 64bit."
+ exit 1
+elif [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ DEBARCH="arm64"
+ LIBDIRSUFFIX="64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/$SRCNAM-${VERSION}_$DEBARCH.deb data.tar.xz | tar Jxv
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# move and cleanup of debian package files
+
+# create rc file, there's no options to change so we'll just install it
+mkdir -p $PKG/etc/rc.d
+ cp -a $CWD/rc.mullvad $PKG/etc/rc.d/rc.mullvad
+ chmod 755 $PKG/etc/rc.d/rc.mullvad
+ chown root:root $PKG/etc/rc.d/rc.mullvad
+
+# mullvad stores login settings here
+mkdir -p $PKG/etc/mullvad-vpn
+
+# location mullvad stores logs
+mkdir -p $PKG/var/log/mullvad-vpn
+
+# docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/share/doc/mullvad-vpn/* $PKG/opt/Mullvad\ VPN\/LICENSE* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/share/zsh
+cp -a $PKG/usr/local/share/* $PKG/usr/share
+rm -rf $PKG/usr/share/doc
+rm -rf $PKG/usr/local
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/mullvadvpn-app/mullvadvpn-app.info b/network/mullvadvpn-app/mullvadvpn-app.info
new file mode 100644
index 000000000000..73fe37a6d788
--- /dev/null
+++ b/network/mullvadvpn-app/mullvadvpn-app.info
@@ -0,0 +1,10 @@
+PRGNAM="mullvadvpn-app"
+VERSION="2023.4"
+HOMEPAGE="https://mullvad.net/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/mullvad/mullvadvpn-app/releases/download/2023.4/MullvadVPN-2023.4_amd64.deb"
+MD5SUM_x86_64="63278b4833681904dc42655c29f5744d"
+REQUIRES=""
+MAINTAINER="Jay Lanagan"
+EMAIL="j@lngn.net"
diff --git a/network/mullvadvpn-app/rc.mullvad b/network/mullvadvpn-app/rc.mullvad
new file mode 100644
index 000000000000..427f2e3fe6b8
--- /dev/null
+++ b/network/mullvadvpn-app/rc.mullvad
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# /etc/rc.d/rc.mullvad
+#
+# Start/stop/restart - Mullvad VPN Service.
+#
+# To make Mullvad VPN start automatically at boot, make this
+# file executable: chmod 755 /etc/rc.d/rc.mullvad
+#
+# and also you must add this to /etc/rc.d/rc.local to
+# start MullvadVPN:
+#
+# if [ -x /etc/rc.d/rc.mullvad ]; then
+# /etc/rc.d/rc.mullvad start
+# fi
+
+
+case "$1" in
+ 'start')
+ /usr/bin/mullvad-daemon -v >/dev/null &
+ ;;
+ 'stop')
+ pkill -f /usr/bin/mullvad-daemon >/dev/null &
+ # Remove both possible .pid locations:
+ rm -f /var/run/mullvad-vpn.pid /var/run/mullvad-vpn/mullvad-vpn.pid
+ ;;
+ 'restart')
+ /usr/bin/mullvad-daemon -v >/dev/null &
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ ;;
+esac
+
diff --git a/network/mullvadvpn-app/slack-desc b/network/mullvadvpn-app/slack-desc
new file mode 100644
index 000000000000..4cd201b014fb
--- /dev/null
+++ b/network/mullvadvpn-app/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mullvadvpn-app: mullvadvpn-app (vpn service desktop client)
+mullvadvpn-app:
+mullvadvpn-app: This is the VPN client software for the Mullvad VPN service. For more
+mullvadvpn-app: information about the service, please visit the website, mullvad.net.
+mullvadvpn-app:
+mullvadvpn-app: Homepage: https://github.com/mullvad/mullvadvpn-app
+mullvadvpn-app:
+mullvadvpn-app:
+mullvadvpn-app:
+mullvadvpn-app:
+mullvadvpn-app: